Document of c-modernization-kit (util) 1.0.0

Loading...
Searching...
No Matches
Data Fields
trace_provider Struct Reference

トレースプロバイダハンドル構造体 (内部定義)。 More...

Collaboration diagram for trace_provider:

## Data Fields
int64_t | identifier
| アプリケーション管理識別番号 (診断用)。0 = 識別番号なし。
syslog_provider_t * | syslog_handle
| syslog プロバイダハンドル (Linux)。
enum trace_level | os_level
| OS トレース (ETW/syslog) のスレッショルドレベル。デフォルト: TRACE_LV_INFO。
enum trace_level | file_level
| ファイルトレースのスレッショルドレベル。デフォルト: TRACE_LV_ERROR。
trace_file_provider_t * | file_handle
| ファイルトレースプロバイダハンドル。NULL = ファイルトレース無効。
enum trace_level | stderr_level
| stderr トレースのスレッショルドレベル。デフォルト: TRACE_LV_NONE。
volatile int | running
| 実行状態フラグ (0=停止中, 1=実行中)。
pthread_rwlock_t | config_rwlock
| 読み書きロック。write 系は共有ロック、設定変更・stop・dispose は排他ロック。
int | config_rwlock_initialized
| config_rwlock が初期化済みかどうかのフラグ。
int | _pad_end
| パディング (構造体サイズを 8 バイト境界に揃える)。

## Detailed Description

トレースプロバイダハンドル構造体 (内部定義)。

Definition at line 36 of file trace-provider.c.

## Field Documentation

## ◆ identifier

int64_t trace_provider::identifier

アプリケーション管理識別番号 (診断用)。0 = 識別番号なし。

Definition at line 39 of file trace-provider.c.

Referenced by trace_init(), and trace_modify_name().

## ◆ syslog_handle

syslog_provider_t* trace_provider::syslog_handle

syslog プロバイダハンドル (Linux)。

Definition at line 46 of file trace-provider.c.

Referenced by trace_dispose(), trace_init(), trace_modify_name(), and write_to_provider().

## ◆ os_level

enum trace_level trace_provider::os_level

OS トレース (ETW/syslog) のスレッショルドレベル。デフォルト: TRACE_LV_INFO。

Definition at line 50 of file trace-provider.c.

Referenced by trace_get_ostrc(), trace_init(), trace_modify_ostrc(), and write_dual().

## ◆ file_level

enum trace_level trace_provider::file_level

ファイルトレースのスレッショルドレベル。デフォルト: TRACE_LV_ERROR。

Definition at line 53 of file trace-provider.c.

Referenced by trace_get_filetrc(), trace_init(), trace_modify_filetrc(), and write_dual().

## ◆ file_handle

trace_file_provider_t* trace_provider::file_handle

ファイルトレースプロバイダハンドル。NULL = ファイルトレース無効。

Definition at line 56 of file trace-provider.c.

Referenced by trace_dispose(), trace_init(), trace_modify_filetrc(), and write_dual().

## ◆ stderr_level

enum trace_level trace_provider::stderr_level

stderr トレースのスレッショルドレベル。デフォルト: TRACE_LV_NONE。

Definition at line 59 of file trace-provider.c.

Referenced by trace_get_stderrtrc(), trace_init(), trace_modify_stderrtrc(), and write_dual().

## ◆ running

volatile int trace_provider::running

実行状態フラグ (0=停止中, 1=実行中)。

Definition at line 62 of file trace-provider.c.

Referenced by trace_hex_write(), trace_hex_writef(), trace_init(), trace_modify_filetrc(), trace_modify_name(), trace_modify_ostrc(), trace_modify_stderrtrc(), trace_start(), trace_stop(), trace_write(), and trace_writef().

## ◆ config_rwlock

pthread_rwlock_t trace_provider::config_rwlock

読み書きロック。write 系は共有ロック、設定変更・stop・dispose は排他ロック。

Definition at line 70 of file trace-provider.c.

Referenced by config_lock_exclusive(), config_lock_shared_timed(), config_unlock_exclusive(), config_unlock_shared(), trace_dispose(), and trace_init().

## ◆ config_rwlock_initialized

int trace_provider::config_rwlock_initialized

config_rwlock が初期化済みかどうかのフラグ。

Definition at line 72 of file trace-provider.c.

Referenced by trace_dispose(), and trace_init().

## ◆ _pad_end

int trace_provider::_pad_end

パディング (構造体サイズを 8 バイト境界に揃える)。

Definition at line 74 of file trace-provider.c.

The documentation for this struct was generated from the following file:

- util/libsrc/util/trace-provider.c